Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Converter Class Reference

`#include <coherence/util/Converter.hpp>`

Inherits Object.

Inherited by ConverterCollections::EntryConverter `[virtual]`, ConverterCollections::UnsupportedConverter `[virtual]`, MapKeySet::KeyConverter `[virtual]`, MapValuesCollection::ValueConverter `[virtual]`, and TypedCollections::TypedMap::EntryConverter `[virtual]`.

List of all members.

## Detailed Description

Interface for conversion from one Object type to another one.

Author:
  mf 2007.07.05

## Public Types
typedef spec::Handle | Handle
| Converter Handle definition.
typedef spec::View | View
| Converter View definition.
typedef spec::Holder | Holder
| Converter Holder definition.
## Public Member Functions
virtual Object::Holder | convert (Object::Holder oh) const =0
| Convert an Object referenced by the supplied holder.
## Static Public Member Functions
static Object::Holder | convert (Converter::View vConvert, Object::Holder oh)
| Convert the Object referenced by the supplied Object::Holder using the supplied Converter.
static Object::Handle | convertHandle (Converter::View vConvert, Object::Handle h)
| Convert the Object referenced by the supplied handle using the supplied Converter.

## Member Function Documentation

virtual Object::Holder convert | ( | Object::Holder | oh | ) | const `[pure virtual]`

Convert an Object referenced by the supplied holder.

Parameters:

  | oh | the holder to the Object to convert

Returns:
  the holder to the converted Object

Implemented in ConverterCollections::EntryConverter, ConverterCollections::UnsupportedConverter, MapKeySet::KeyConverter, MapValuesCollection::ValueConverter, and TypedCollections::TypedMap::EntryConverter.

static Object::Holder convert | ( | Converter::View | vConvert,
|  | Object::Holder | oh |
| ) |  |  | `[static]`

Convert the Object referenced by the supplied Object::Holder using the supplied Converter.

Parameters:

  | vConvert | a handle to the Converter to use
  | oh | a holder to the Object to convert

Returns:
  a holder of the converted Object, or the unconverted Object if the Converter is NULL

static Object::Handle convertHandle | ( | Converter::View | vConvert,
|  | Object::Handle | h |
| ) |  |  | `[static]`

Convert the Object referenced by the supplied handle using the supplied Converter.

Parameters:

  | vConvert | a handle to the Converter to use
  | h | a handle to the Object to convert

Returns:
  a handle of the converted Object, or the unconverted Object if the Converter is NULL

The documentation for this class was generated from the following file:

- coherence/util/Converter.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.